package com.fs.course.vo;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class FsCourseAnalysisVO {
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 标题
     */
    private String title;
    /**
     * 封面
     */
    private String imgUrl;
    /**
     * 课程描述
     */
    private String description;
    /**
     * 观看人数
     */
    private Long viewUsers;
    /**
     * 完播人数
     */
    private Long finishUsers;
    /**
     * 完播率
     */
    private Long finishRate;
    /**
     * 答题红包数
     */
    private Long redPacketCount;
    /**
     * 答题红包金额
     */
    private BigDecimal redPacketAmount;
    /**
     * 答题人数
     */
    private Long answerUsers;
    /**
     * 正确人数
     */
    private Long correctUsers;
    /**
     * 正确率
     */
    private Long correctRate;
}
